Package com.orchestranetworks.service.comparison

# Class NodeDifference

java.lang.Object
com.orchestranetworks.service.comparison.NodeDifference

public final class NodeDifference extends Object
Represents the finest granularity of comparison, which is the difference between the values of two nodes in a dataset or a record.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NodeDifference(Object leftValue, Path leftValuePath, Object rightValue, Path rightValuePath)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  `Object`
  `getLeftValue()`
  Returns the value on the left side of the difference.
  `Path`
  `getLeftValuePath()`
  Returns the local absolute path of the left side of the difference.
  `Object`
  `getRightValue()`
  Returns the value on the right side of the difference.
  `Path`
  `getRightValuePath()`
  Returns the local absolute path of the right side of the difference.
  `int`
  `hashCode()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### NodeDifference

    public NodeDifference(Object leftValue, Path leftValuePath, Object rightValue, Path rightValuePath)

- ## Method Details

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getLeftValue

    public Object getLeftValue()
    Returns the value on the left side of the difference.

  - ### getLeftValuePath

    public Path getLeftValuePath()
    Returns the local absolute path of the left side of the difference.
    See Also:
      - `SchemaNode.getPathInAdaptation()`

  - ### getRightValue

    public Object getRightValue()
    Returns the value on the right side of the difference.

  - ### getRightValuePath

    public Path getRightValuePath()
    Returns the local absolute path of the right side of the difference.
    See Also:
      - `SchemaNode.getPathInAdaptation()`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`